Subject: Re: How to update git on Mac OS X Mountain Lion 10.8.4

From: Junio C Hamano <[email-masked]>
Date: Fri, 28 Jun 2013 13:12:22 -0700

Olivier de Broqueville <[email-masked]> writes:

> Hello,
>
> I've learnt that Xcode installs git by default on the Mac. My current
> version of git is 1.7.12.4 and it's located in /usr/bin/git.
>
> I wanted to update git to the latest stable version available:
> 1.8.3.1. I proceeded with the instructions on:
> http://git-scm.com/downloads and typed:
>
> git clone https://github.com/git/git.git
>
> (rather than using the .dmg file because I don't want to install a new
> version of git in addition to the existing one used by Xcode.
> Furthermore, I have no idea where the new version would end up being
> installed and I've read that users have had trouble doing this!)
>
> This rendered the following results:
> Oliviers-iMac:~ odebroqueville$ git clone https://github.com/git/git.git
> Cloning into 'git'...
> remote: Counting objects: 157697, done.
> remote: Compressing objects: 100% (53116/53116), done.
> remote: Total 157697 (delta 114700), reused 143715 (delta 102625)
> Receiving objects: 100% (157697/157697), 39.56 MiB | 2.01 MiB/s, done.
> Resolving deltas: 100% (114700/114700), done.
> Oliviers-iMac:~ odebroqueville$ which git
> /usr/bin/git
> Oliviers-iMac:~ odebroqueville$ git --version
> git version 1.7.12.4 (Apple Git-37)
>
> As you can see, nothing seems to have changed!
>
> Would you have any explanations?

You seem to have successfully downloaded the source, but I do not
see the steps you built and installed the downloaded source.

I think that would be a sufficient explanation?